<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', [\App\Http\Controllers\HomeController::class, 'index'])
    ->name('home');
    
Route::get('/news', [\App\Http\Controllers\NewsController::class, 'index'])
    ->name('news');
Route::get('/news/detail/{id}', [\App\Http\Controllers\NewsController::class, 'detail'])
    ->name('news-detail');

Route::get('/events', [\App\Http\Controllers\EventsController::class, 'index'])
    ->name('events');
Route::get('/events/detail/{id}', [\App\Http\Controllers\EventsController::class, 'detail'])
    ->name('events-detail');

Route::get('/about', [\App\Http\Controllers\AboutController::class, 'index'])
    ->name('about');

Route::get('/support/technical', [\App\Http\Controllers\SupportTechnicalController::class, 'index'])
    ->name('support/technical');
Route::post('/support/technical', [\App\Http\Controllers\SupportTechnicalController::class, 'indexPost']);

Route::get('/support/sales-inquiry', [\App\Http\Controllers\SupportSalesInquiryController::class, 'index'])
    ->name('support/sales-inquiry');
Route::post('/support/sales-inquiry', [\App\Http\Controllers\SupportSalesInquiryController::class, 'indexPost']);

Route::get('/support/distribution-partners', [\App\Http\Controllers\SupportDistributionPartnersController::class, 'index'])
    ->name('support/distribution-partners');

Route::get('/support/ecosystem-partners', [\App\Http\Controllers\SupportEcosystemPartnersController::class, 'index'])
    ->name('support/ecosystem-partners');

Route::get('/products', [\App\Http\Controllers\ProductsController::class, 'index'])
    ->name('products');
Route::get('/products/detail/{product}', [\App\Http\Controllers\ProductsController::class, 'detail']);
Route::get('/products/{catalogs?}', [\App\Http\Controllers\ProductsController::class, 'catalogs'])
    ->where('catalogs','^[a-zA-Z0-9-_\/]+$');
